Mailinglist Archive: opensuse (3605 mails)

< Previous Next >
Re: [SLE] hplip-0.9.11 on 10.1
  • From: Johannes Meixner <jsmeix@xxxxxxx>
  • Date: Mon, 12 Jun 2006 10:49:38 +0200 (CEST)
  • Message-id: <Pine.LNX.4.58.0606121046160.3117@xxxxxxxxxxxxx>

Hello,

On Jun 9 11:23 Scott Castaline wrote (shortened):
> ncc1701f:/opt/hplip-0.9.11 # make
...
> /usr/include/linux/usbdevice_fs.h:49: error: expected ':', ',', ';', '}'
> or '__attribute__' before '*' token

--------------------------------------------------------------------
--- io/hpiod/usbext.h.orig 2006-05-19 15:59:46.000000000 +0200
+++ io/hpiod/usbext.h 2006-05-19 16:00:57.000000000 +0200
@@ -34,6 +34,7 @@

#if defined(__APPLE__) && defined(__MACH__)
#else
+#include <linux/compiler.h>
#include <linux/usbdevice_fs.h>

#ifdef __cplusplus
--------------------------------------------------------------------


You may have to remove ~/.hplip.conf to run newest HPLIP - there
are some incompatibilities with older HPLIP versions.


Kind Regards
Johannes Meixner
--
SUSE LINUX Products GmbH, Maxfeldstrasse 5 Mail: jsmeix@xxxxxxx
90409 Nuernberg, Germany WWW: http://www.suse.de/

--
Check the headers for your unsubscription address
For additional commands send e-mail to suse-linux-e-help@xxxxxxxx
Also check the archives at http://lists.suse.com
Please read the FAQs: suse-linux-e-faq@xxxxxxxx


< Previous Next >
Follow Ups
References